P4_LOCAL_VALUE(3)

NAME
p4_local_value - LVALUE ( value [name] -- )

SYNOPSIS

#include <pfe/locals-ext.h>

FCode p4_local_value(---);

DESCRIPTION

declares a single local VALUE using (LOCAL) - a sequence of LVALUE declarations can replace a LOCALS| argument, ie. LOCALS| a b c | is the same as LVALUE a LVALUE b LVALUE c. This should also clarify the runtime stack behaviour of LOCALS| where the stack parameters seem to be assigned in reverse order as opposed to their textual identifier declarations. compare with VALUE and the pfe's convenience word VAR.

      : LVALUE
        STATE @ IF
          VALUE
        ELSE
          BL WORD COUNT DUP (LOCAL) (TO)
        THEN
      ; IMMEDIATE

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>